Bug Hunting Session
Bug 106965 - Copy/Paste can bypass cell protection after multiple select of cells or sheets
Summary: Copy/Paste can bypass cell protection after multiple select of cells or sheets
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 96157 (view as bug list)
Depends on: 106952
Blocks: Paste Cell-Protection
  Show dependency treegraph
 
Reported: 2017-04-05 08:33 UTC by Jean-Sebastien Bevilacqua
Modified: 2018-11-17 03:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Sebastien Bevilacqua 2017-04-05 08:33:33 UTC
When you copy/paste, you can paste in a protected cell.

Steps to reproduce:

- Open calc
- Create a second sheet
- Protect the second sheet
- Copy some random content
- Come back on the first sheet and select both sheets
- Paste content

-> It will bypass protection on the second sheet

This bug affects master and I'm working on it.
Comment 1 Jean-Sebastien Bevilacqua 2017-05-03 15:42:07 UTC
Gerrit patch: https://gerrit.libreoffice.org/#/c/36130/
Comment 2 Timur 2017-05-18 08:09:20 UTC Comment hidden (obsolete)
Comment 3 Jean-Sebastien Bevilacqua 2017-05-18 08:12:06 UTC
(In reply to Timur from comment #2)
> Can you please explain why this blocks Bug 96157 and should it be marked as
> it's duplicate?

Hello Timur, it's a duplicate but with more informations. You can mark the other as duplicate.

Thanks,
Jean-Sébastien Bevilacqua
Comment 4 Timur 2017-05-18 08:33:28 UTC
*** Bug 96157 has been marked as a duplicate of this bug. ***
Comment 5 Timur 2017-05-18 08:34:54 UTC
From Bug 96157: 
attachment 120897 [details] is Video of the bug:
A1 B1 and D1 are unprotected, but C1 is protected
A2 B2 and D2 are unprotected, but C2 is protected
Clic on A1, Ctrl-Clic on B1 and D1
Sheet protection is enabled with no selection on protected cells.
Move to B2, paste... D2 witch is protected is affected by the paste.
It should not...
Comment 6 Timur 2017-07-18 15:50:38 UTC
This one is marked as "LibreOffice" while I guess it's Calc only. True there are also Writer bugs for protected cells in table but in different bugs. 
Jean-Sebastien, could you review your code and remarks once more? Asking as a non-dev who sees that you tried to solve this issue.
Comment 7 Xisco Faulí 2017-10-19 08:40:24 UTC
Dear Jean-Sebastien Bevilacqua,
This bug has been in ASSIGNED status for more than 3 months without any activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 8 QA Administrators 2018-11-17 03:47:24 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug